PROJ	= myrand
LIBS	=  -lm
CFLAGS  = -c -O -Wall -fPIC
LFLAGS  = 
CC	= gcc
#
#
OBJS = main.o myrand.o randomMap.o

all: $(PROJ)

$(PROJ): $(OBJS)
	$(CC) $(LFLAGS) -o $(PROJ) $(OBJS) $(LIBS)

$(OBJS): %.o: %.c
	$(CC) $(CFLAGS) $< -o $@

install:
	@echo "Installing $(PROJ)..."
	cp $(PROJ) $(HOME)/bin
	( cd $(HOME)/bin; chmod a+rx $(PROJ) )
	@echo "done"

clean:
	rm -f  *.o  $(PROJ)


