/**
  Gives an integer random number
  within a uniform distribution
  in [0,s), this is the interval
  [0, s-1], and s < 2^16 = 65536 
**/
#include "randomMap.h"

unsigned int myrand( unsigned int s )
{
	unsigned int x = randomMap( );
	unsigned int m = x * s;
	unsigned int l = 0x0000ffff & m;

	// printf("%u %u %u\n", x, m, l );
	if ( l < s ) {
		unsigned int t = (unsigned int)(-(short)s) % s;
		// printf("%u\n", t );
		while( l < t ) {
			x = randomMap( );
			m = x*s;
			l = 0x0000ffff & m;
		} 
	} 
	return m >> 16;
}


